Bug 860726 - heat cli prints warning on each operation
heat cli prints warning on each operation
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: heat (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Angus Salkeld
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-26 11:02 EDT by Steven Dake
Modified: 2016-04-26 11:53 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-02 15:43:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Dake 2012-09-26 11:02:57 EDT
Description of problem:
heat prints warning as follows:
[root@heattestlt ~]# heat-db-setup rpm -r password
Installing on an RPM system.
Redirecting to /bin/systemctl status  mysqld.service
Verified connectivity to MySQL.
Creating 'heat' database.
/usr/lib/python2.7/site-packages/heat/utils.py:24: UserWarning: The 'glance.client' module is deprecated in favor of the 'glanceclient' module provided by python-glanceclient (see http://github.com/openstack/python-glanceclient).
  from glance import client as glance_client
/usr/lib/python2.7/site-packages/heat/utils.py:24: UserWarning: The 'glance.client' module is deprecated in favor of the 'glanceclient' module provided by python-glanceclient (see http://github.com/openstack/python-glanceclient).
  from glance import client as glance_client
0 -> 1... 

Version-Release number of selected component (if applicable):
heat-6.2.fc18

How reproducible:


Steps to Reproduce:
1. run heat list
2.
3.
  
Actual results:
deprecation warning printed

Expected results:
no warning printed

Additional info:
Comment 1 Fedora End Of Life 2013-12-21 03:57:34 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.